<cfscript>
	if( NOT structKeyExists(application, "cachebox") ){
		cachebox = createObject("component","cachebox.system.cache.CacheFactory").init();
	}
	cachebox = application.cacheBox;
	// IMPORTANT: reapAll() needs to be manually called
	//cachebox.reapAll();
	
	theCache = cacheBox.getDefaultCache();
	
	writeDump("Current Time: #now()#");
	writeDump("Lookup: " & theCache.lookupQuiet("foobar"));
	
	if( theCache.lookupQuiet("foobar") eq false){
		theCache.set("foobar","This is some text at #now()#",1,1);		
	}
	
	writeDump("Lookup After Set:" & theCache.lookupQuiet("foobar"));
	writeDump(theCache.getCachedObjectMetadata("foobar"));
	writeDump(theCache.getKeys());
	writeDump(theCache.get("foobar"));
	writeDump(theCache.getStats().getMemento());
	
</cfscript>